package com.ygtx.gxt.domain;

import com.ygtx.common.annotation.Excel;
import com.ygtx.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 维保风机类型检查得分对象 gxt_user_fan_inspection_score
 * 
 * @author ruoyi
 * @date 2025-11-06
 */
public class GxtUserFanInspectionScore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    private Long deptId;

    /** 维保人 */
    @Excel(name = "维保人")
    private String userName;

    /** 得分模型ID */
    private Long fanInspectionId;

    /** 维保数量 */
    @Excel(name = "维保数量")
    private Integer deviceCount;

    /** 负责工单得分 */
    @Excel(name = "负责工单得分")
    private BigDecimal fanInspectionScore;

    /** 工单总分 */
    @Excel(name = "工单总分")
    private BigDecimal totalScore;

    /** 最终得分 */
    @Excel(name = "最终得分")
    private BigDecimal calculatedScore;

    /** 风机类型 */
    @Excel(name = "风机类型")
    private String model;

    /** 维保类型ID */
    @Excel(name = "维保类型ID")
    private Long inspectionTypeId;

    /** 统计月份 */
    @Excel(name = "统计月份")
    private String monthPeriod;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    private String permission;

    public String getPermission() {
        return permission;
    }

    public void setPermission(String permission) {
        this.permission = permission;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setFanInspectionId(Long fanInspectionId) 
    {
        this.fanInspectionId = fanInspectionId;
    }

    public Long getFanInspectionId() 
    {
        return fanInspectionId;
    }
    public void setDeviceCount(Integer deviceCount) 
    {
        this.deviceCount = deviceCount;
    }

    public Integer getDeviceCount() 
    {
        return deviceCount;
    }
    public void setFanInspectionScore(BigDecimal fanInspectionScore) 
    {
        this.fanInspectionScore = fanInspectionScore;
    }

    public BigDecimal getFanInspectionScore() 
    {
        return fanInspectionScore;
    }
    public void setCalculatedScore(BigDecimal calculatedScore) 
    {
        this.calculatedScore = calculatedScore;
    }

    public BigDecimal getCalculatedScore() 
    {
        return calculatedScore;
    }

    public BigDecimal getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(BigDecimal totalScore) {
        this.totalScore = totalScore;
    }

    public void setModel(String model)
    {
        this.model = model;
    }

    public String getModel() 
    {
        return model;
    }
    
    public void setInspectionTypeId(Long inspectionTypeId) 
    {
        this.inspectionTypeId = inspectionTypeId;
    }

    public Long getInspectionTypeId() 
    {
        return inspectionTypeId;
    }
    
    public void setMonthPeriod(String monthPeriod) 
    {
        this.monthPeriod = monthPeriod;
    }

    public String getMonthPeriod() 
    {
        return monthPeriod;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("fanInspectionId", getFanInspectionId())
            .append("deviceCount", getDeviceCount())
            .append("fanInspectionScore", getFanInspectionScore())
            .append("calculatedScore", getCalculatedScore())
            .append("totalScore", getTotalScore())
            .append("model", getModel())
            .append("inspectionTypeId", getInspectionTypeId())
            .append("monthPeriod", getMonthPeriod())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}